#!/usr/bin/python
# -*- coding: utf8 -*-
import xlrd,sys,getopt

# 1. 安装pip。sudo easy_install pip 
# 2. 安装第三方库xlrd。sudo pip install xlrd
# 3. chmod +x excel.py
# 4. ./excel.py 打点_精简_0513.xlsx

fname = sys.argv[1]
# fname = "reflect.xlsx"
print fname
bk = xlrd.open_workbook(fname)
try:
    sh = bk.sheet_by_name("Sheet1")
except:
    print "no sheet in %s named Sheet1" % fname

print sh.merged_cells
nrows = sh.nrows
ncols = sh.ncols
print "nrows %d, ncols %d" % (nrows, ncols)
dict = {}
for (rlow,rhigh,clow,chigh) in sh.merged_cells:
    if clow < 2:
        dict[rlow] = sh.cell_value(rlow, clow)

row_list = []
for i in range(1, nrows):
    if i == 1:
        row = 'package com.shinemo.qoffice.common;\npublic interface EventConstant {\n'
    else:
        row = ''
    if dict.get(i):
        row += '    //' + dict[i] + '\n'
    row_data = sh.row_values(i)
    row += '    int ' + row_data[4] + ' = ' + str(int(row_data[0])) + (';//' + row_data[5] if row_data[5] else ';')
    if i == nrows-1:
        row += '\n}'
    print row
    row_list.append(row)
f = open('EventConstant.java', 'w')
for data in row_list:
    f.write(data.encode("utf8") + "\n")
f.close()
